{% extends 'blog/base.html' %}

{% block content %}
		<div class="post">
				<h1>{{ post.title }}</h1>
				{% if post.published_date %}
					<p>{{ post.published_date }}</p>
				{% else %}
					{% if user.is_authenticated %}
						<a class ='btn btn-default' href='{% url 'post_publish' pk=post.pk %}'>Publish</a>
					{%  endif %}
				{% endif %}
				{% if user.is_authenticated %}
						<a class ='btn btn-default' href='{% url 'post_edit' pk=post.pk %}'>Edit</a>
						<a class ='btn btn-default' href='{% url 'post_delete' pk=post.pk %}'>Delete</a>
				{% endif %}
				<p>{{ post.text|linebreaksbr }}</p>
		</div>
{% endblock %}
